Subject: Re: bug#25834: [PATCH] Update scipy stack.
From: Marius Bakke <[email-masked]>
To: Thomas Danckaert <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 06 Mar 2017 23:53:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Thomas Danckaert <[email-masked]> writes:

> From: Marius Bakke <[email-masked]>
> Subject: Re: bug#25834: [PATCH] Update scipy stack.
> Date: Mon, 06 Mar 2017 14:25:26 +0100
>
>> Please pay attention during the 'check' phase of Python packages -- 
>> both
>> colorspacious and the shutils backport prints 'Ran 0 tests in...'.
>> Usually this is a sign that they require some other command than 
>> 'python
>> setup.py test', which is the default of python-build-system.
>>
>> I pushed a fix for python2-backports-shutil-get-terminal-size that 
>> I had
>> in my queue, but it would be nice to enable tests on colorspacious 
>> as
>> well. Any takers? :)
>
> I've attached an attempt (now runs 34 tests).  Am I right that 
> running “nosetests colorspacious/*.py” is the only way to make it run 
> the tests in this case?

Thanks! By adding "--all-modules" to the "nosetests" invocation, it was
able to discover the tests without having to add them as arguments.

Pushed! Closing this bug now, wahoo!